package com.palmnest.model.notice;

import com.palmnest.model.property.TbOrganization;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "tb_app_notice")
public class AppNoticeModel implements Serializable {
	/**
	 *
	 */
	private static final long serialVersionUID = 1117349763096659768L;

	/**
	 *
	 */


	private Integer id;//主键ID
	private String  title;//标题
	private String  content;//公告内容(带html标签)
	private String  contentTxt;//纯文本公告内容(不带html标签)
	private String  url_address;//跳转url
	private Integer state;
	private Integer noticeType;//1 公告 ；2 banner图；3 跳转链接 5:楼闪送banner
	private Integer contentType;//1 图文消息 ；2 跳转链接
	private String  coverUrl;//封面
	private String  summaryInfo;//摘要
	private Integer positionType;//展示位置 0app+微信、1app、2微信
	private String  approval_user;
	private Date    approval_time;
	private String  createTime;
	private String  creator;
	private String  modifier;
	private Date    modifyTime;
	private String  isEnabled;
	private Integer orderNum;
	private Integer orgId;
	private String  orgIds;
	private String  openIds;
	private String  userIds;
	private Integer isPublic;
	private Integer isWechat;
	private Integer isApp;
	private Integer publicObj;
	private Integer isMessageList;
	
	private Integer approvalType;
	
	private Integer isPushTemplate;
	private String department;
	
	
	@Column(name = "isPushTemplate")
	public Integer getIsPushTemplate() {
		return isPushTemplate;
	}

	public void setIsPushTemplate(Integer isPushTemplate) {
		this.isPushTemplate = isPushTemplate;
	}

	@Column(name = "approval_type")
	public Integer getApprovalType() {
		return approvalType;
	}

	public void setApprovalType(Integer approvalType) {
		this.approvalType = approvalType;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.AUTO)
	@Column(name = "ID", unique = true, nullable = false)
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}
	@Column(name = "department")
	public String getDepartment() {
		return department;
	}

	public void setDepartment(String department) {
		this.department = department;
	}

	@Column(name = "content")
	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	@Column(name = "content_txt")
	public String getContentTxt() {
		return contentTxt;
	}

	public void setContentTxt(String contentTxt) {
		this.contentTxt = contentTxt;
	}

	public String getUrl_address() {
		return url_address;
	}

	public void setUrl_address(String url_address) {
		this.url_address = url_address;
	}


	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public String getModifier() {
		return modifier;
	}

	public void setModifier(String modifier) {
		this.modifier = modifier;
	}

	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}

	public String getIsEnabled() {
		return isEnabled;
	}

	public void setIsEnabled(String isEnabled) {
		this.isEnabled = isEnabled;
	}

	public Date getApproval_time() {
		return approval_time;
	}

	public void setApproval_time(Date approval_time) {
		this.approval_time = approval_time;
	}

	public String getCreateTime() {
		return createTime;
	}

	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	public String getApproval_user() {
		return approval_user;
	}

	public void setApproval_user(String approval_user) {
		this.approval_user = approval_user;
	}

	public Integer getState() {
		return state;
	}

	public void setState(Integer state) {
		this.state = state;
	}

	@Column(name = "notice_type")
	public Integer getNoticeType() {
		return noticeType;
	}

	public void setNoticeType(Integer noticeType) {
		this.noticeType = noticeType;
	}

	@Column(name = "content_type")
	public Integer getContentType() {
		return contentType;
	}

	public void setContentType(Integer contentType) {
		this.contentType = contentType;
	}

	@Column(name = "cover_url")
	public String getCoverUrl() {
		return coverUrl;
	}

	public void setCoverUrl(String coverUrl) {
		this.coverUrl = coverUrl;
	}

	@Column(name = "summary_info")
	public String getSummaryInfo() {
		return summaryInfo;
	}

	public void setSummaryInfo(String summaryInfo) {
		this.summaryInfo = summaryInfo;
	}

	@Column(name = "position_type")
	public Integer getPositionType() {
		return positionType;
	}

	public void setPositionType(Integer positionType) {
		this.positionType = positionType;
	}

	@Column(name = "order_num")
	public Integer getOrderNum() {
		return orderNum;
	}

	public void setOrderNum(Integer orderNum) {
		this.orderNum = orderNum;
	}

	@Column(name = "orgId")
	public Integer getOrgId() {
		return orgId;
	}

	public void setOrgId(Integer orgId) {
		this.orgId = orgId;
	}

	public String getOrgIds() {
		return orgIds;
	}

	public void setOrgIds(String orgIds) {
		this.orgIds = orgIds;
	}

	public String getOpenIds() {
		return openIds;
	}

	public void setOpenIds(String openIds) {
		this.openIds = openIds;
	}

	public String getUserIds() {
		return userIds;
	}

	public void setUserIds(String userIds) {
		this.userIds = userIds;
	}

	public Integer getIsPublic() {
		return isPublic;
	}

	public void setIsPublic(Integer isPublic) {
		this.isPublic = isPublic;
	}

	public Integer getIsWechat() {
		return isWechat;
	}

	public void setIsWechat(Integer isWechat) {
		this.isWechat = isWechat;
	}

	public Integer getIsApp() {
		return isApp;
	}

	public void setIsApp(Integer isApp) {
		this.isApp = isApp;
	}

	public Integer getPublicObj() {
		return publicObj;
	}

	public void setPublicObj(Integer publicObj) {
		this.publicObj = publicObj;
	}

	public Integer getIsMessageList() {
		return isMessageList;
	}

	public void setIsMessageList(Integer isMessageList) {
		this.isMessageList = isMessageList;
	}

	
	

}